Bug 163892 - krb5 utils cannot search for KDC in AD realm
krb5 utils cannot search for KDC in AD realm
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-21 15:58 EDT by Michael Brown
Modified: 2008-02-26 23:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:50:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My krb5.conf (543 bytes, text/plain)
2005-07-21 15:59 EDT, Michael Brown
no flags Details

  None (edit)
Description Michael Brown 2005-07-21 15:58:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
kinit, k* utils cannot search for the KDC in AD domains anymore. It used to work, with the same config, under older versions (for example, krb5-workstation-1.3.4-12 from RHEL4

Version-Release number of selected component (if applicable):
krb5-workstation-1.4.1-5

How reproducible:
Always

Steps to Reproduce:
1. In /etc/krb5.conf:
[realms]
 AD.DOMAIN = { kdc = AD.DOMAIN }
2. kinit


Actual Results:  kinit(v5): Cannot resolve network address for KDC in requested realm while getting initial credentials

Expected Results:  Password for michael@AD.DOMAIN: ... (working normally)

Additional info:

Other less recent versions of krb5-utils work. I notice that none of them try to do IPV6 lookups, while the failing version does.
Comment 1 Michael Brown 2005-07-21 15:59:47 EDT
Created attachment 117029 [details]
My krb5.conf
Comment 2 Michael Brown 2005-07-21 16:01:32 EDT
Oh yeah - it starts to work when I specify one/multiple IP addresses for the DCs
in the kdc= line in krb5.conf
Comment 3 Christian Iseli 2007-01-22 05:07:41 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 petrosyan 2008-02-26 23:50:29 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.